Bug 2053539 - Lightdm login screen freezes after update to 5.16.x Kernel
Summary: Lightdm login screen freezes after update to 5.16.x Kernel
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm
Version: 35
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://ask.fedoraproject.org/t/curso...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-11 13:35 UTC by ilikelinux69
Modified: 2022-02-14 19:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description ilikelinux69 2022-02-11 13:35:56 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:98.0) Gecko/20100101 Firefox/98.0
Build Identifier: 

Bootlog last messages:

[  OK  ] Started Command Scheduler.
         Starting Light Display Manager...
         Starting Hold until boot process finishes up...

Selinux errors... more details see:
https://ask.fedoraproject.org/t/cursor-freezing-by-login-screen-lightdm-upgraded-to-kernel-5-16-7/20139

Reproducible: Sometimes

Steps to Reproduce:
Since kernel-upgrade to 5.16 it happens almost every time.
With 5.15.x happens seldom.
Actual Results:  
When frozen i had to reboot or to press
Ctrl & Alt F2 to login and enter `sudo pkill lightdm`

Expected Results:  
I could login again.

SELinux is preventing gdb from open access on the file /var/lib/lightdm/.cache/mesa_shader_cache/index.

Tested also in permissive mode.

Comment 1 leigh scott 2022-02-11 14:40:19 UTC
I doubt it's selinux preventing startup.
Did you investigate what boot process is blocking lightdm?


Starting Hold until boot process finishes up...

Comment 2 ilikelinux69 2022-02-11 19:32:25 UTC
I see it so, gdb wants to read something in the mesa_shader_cache and AVC denies and blocks lightdm

Please could you also follow on https://ask.fedoraproject.org/t/cursor-freezing-by-login-screen-lightdm-upgraded-to-kernel-5-16-7/20139
that i not have to say everything twice. I do have colleagues there who help me to debug.


gdb (GNU gdb (GDB) Fedora 11.2-1.fc35) tryes to access:

Feb 11 08:56:08 fedy audit[1844]: AVC avc:  denied  { open } for  pid=1844 comm="gdb" path="/var/lib/lightdm/.cache/mesa_shader_cache/index" dev="sda3" ino=223612 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_lib_t:s0 tclass=file permissive=1
Feb 11 08:56:12 fedy setroubleshoot[1866]: failed to retrieve rpm info for /var/lib/lightdm/.cache/mesa_shader_cache/index
Feb 11 08:56:13 fedy setroubleshoot[1866]: SELinux is preventing gdb from open access on the file /var/lib/lightdm/.cache/mesa_shader_cache/index. For complete SELinux messages run: sealert -l fea9e318-afa2-4683-97b0-418d26c3693a
Feb 11 08:56:13 fedy setroubleshoot[1866]: SELinux is preventing gdb from open access on the file /var/lib/lightdm/.cache/mesa_shader_cache/index.

@oprizal proposed to follow the redhat links to check the selinux part. everything was fine.
Then i deleted the files/folders under /lib/lightdm/.cache and restarted.

For the moment it is ok.

What more info's could I give ? Can i check somehow what gdb wants in the /lib/lightdm/.cache folder ?

Comment 3 leigh scott 2022-02-11 20:04:25 UTC
(In reply to ilikelinux69 from comment #2)
> I see it so, gdb wants to read something in the mesa_shader_cache and AVC
> denies and blocks lightdm
> 
> Please could you also follow on
> https://ask.fedoraproject.org/t/cursor-freezing-by-login-screen-lightdm-
> upgraded-to-kernel-5-16-7/20139
> that i not have to say everything twice. I do have colleagues there who help
> me to debug.


No.



gdb is only run because because something is crashing lightdm.

post the contents of /var/log/lightdm

Comment 4 ilikelinux69 2022-02-12 16:14:30 UTC
File listing see bottom.

::::::::::::::
lightdm.log
::::::::::::::
[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.30.0, UID=0 PID=1581
[+0.00s] DEBUG: Loading configuration dirs from /usr/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-backup-logs.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-disable-guest.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-minimum-vt.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-run-directory.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-session-wrapper.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-user-authority-in-system-dir.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/60-lightdm-gtk-greeter.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/90-slick-greeter.conf
[+0.00s] DEBUG: Loading configuration dirs from /usr/local/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /etc/xdg/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /etc/xdg/lightdm/lightdm.conf.d/90-greeter-wrapper.conf
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.00s] DEBUG: Registered seat module local
[+0.00s] DEBUG: Registered seat module xremote
[+0.00s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.00s] DEBUG: _g_io_module_get_default: Found default implementation local (GLocalVfs) for ‘gio-vfs’
[+0.00s] DEBUG: Monitoring logind for seats
[+0.00s] DEBUG: New seat added from logind: seat0
[+0.00s] DEBUG: Seat seat0: Loading properties from config section Seat:*
[+0.00s] DEBUG: Seat seat0 has property CanMultiSession=no
[+0.00s] DEBUG: Seat seat0: Starting
[+0.00s] DEBUG: Seat seat0: Creating greeter session
[+0.00s] DEBUG: Seat seat0: Creating display server of type x
[+0.01s] DEBUG: Using VT 1
[+0.01s] DEBUG: Seat seat0: Starting local X display on VT 1
[+0.01s] DEBUG: XServer 0: Logging to /var/log/lightdm/x-0.log
[+0.01s] DEBUG: XServer 0: Writing X server authority to /run/lightdm/root/:0
[+0.01s] DEBUG: XServer 0: Launching X Server
[+0.01s] DEBUG: Launching process 1587: /usr/bin/X -core -noreset :0 -seat seat0 -auth /run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
[+0.01s] DEBUG: XServer 0: Waiting for ready signal from X server :0
[+0.01s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+0.01s] DEBUG: Loading users from org.freedesktop.Accounts
[+0.01s] DEBUG: User /org/freedesktop/Accounts/User1001 added
[+0.01s] DEBUG: User /org/freedesktop/Accounts/User1003 added
[+0.02s] DEBUG: User /org/freedesktop/Accounts/User1000 added
[+0.03s] DEBUG: User /org/freedesktop/Accounts/User1002 added
[+0.04s] DEBUG: Seat seat0 changes active session to 
[+1.00s] DEBUG: Got signal 10 from process 1587
[+1.00s] DEBUG: XServer 0: Got signal from X server :0
[+1.00s] DEBUG: XServer 0: Connecting to XServer :0
[+1.05s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+1.05s] DEBUG: Session pid=1597: Started with service 'lightdm-greeter', username 'lightdm'
[+1.09s] DEBUG: Session pid=1597: Authentication complete with return value 0: Success
[+1.09s] DEBUG: Seat seat0: Session authenticated, running command
[+1.09s] DEBUG: Session pid=1597: Running command /etc/lightdm/Xgreeter /usr/bin/lightdm-webkit2-greeter
[+1.09s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+1.09s] DEBUG: Session pid=1597: Logging to /var/log/lightdm/seat0-greeter.log
[+1.13s] DEBUG: Activating VT 1
[+1.13s] DEBUG: Activating login1 session c2
[+1.13s] DEBUG: Seat seat0 changes active session to c2
[+1.13s] DEBUG: Session c2 is already active
[+1.42s] DEBUG: Greeter connected version=1.30.0 api=1 resettable=false
[+7.16s] DEBUG: Greeter start authentication for username
[+7.17s] DEBUG: Session pid=1667: Started with service 'lightdm', username 'username'
[+7.27s] DEBUG: Session pid=1667: Got 1 message(s) from PAM
[+7.27s] DEBUG: Prompt greeter with 1 message(s)
[+7.27s] DEBUG: Continue authentication
[+7.31s] DEBUG: Session pid=1667: Authentication complete with return value 0: Success
[+7.31s] DEBUG: Authenticate result for user username: Success
[+7.31s] DEBUG: User username authorized
[+7.71s] DEBUG: Greeter requests session mate
[+7.71s] DEBUG: Seat seat0: Stopping greeter; display server will be re-used for user session
[+7.71s] DEBUG: Terminating login1 session c2
[+7.71s] DEBUG: Session pid=1597: Sending SIGTERM
[+7.73s] DEBUG: Session pid=1597: Exited with return value 0
[+7.73s] DEBUG: Seat seat0: Session stopped
[+7.73s] DEBUG: Seat seat0: Greeter stopped, running session
[+7.73s] DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
[+7.73s] DEBUG: Session pid=1667: Running command /etc/X11/xinit/Xsession mate-session
[+7.73s] DEBUG: Creating shared data directory /var/lib/lightdm-data/username
[+7.73s] DEBUG: Session pid=1667: Logging to .xsession-errors
[+7.78s] DEBUG: Activating VT 1
[+7.78s] DEBUG: Activating login1 session 4
[+7.78s] DEBUG: Seat seat0 changes active session to 4
[+7.78s] DEBUG: Session 4 is already active
::::::::::::::
lightdm.log.old
::::::::::::::
[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.30.0, UID=0 PID=1015
[+0.00s] DEBUG: Loading configuration dirs from /usr/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-backup-logs.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-disable-guest.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-minimum-vt.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-run-directory.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-session-wrapper.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-user-authority-in-system-dir.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/60-lightdm-gtk-greeter.conf
[+0.00s] DEBUG: Loading configuration from /usr/share/lightdm/lightdm.conf.d/90-slick-greeter.conf
[+0.00s] DEBUG: Loading configuration dirs from /usr/local/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /etc/xdg/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /etc/xdg/lightdm/lightdm.conf.d/90-greeter-wrapper.conf
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.00s] DEBUG: Registered seat module local
[+0.00s] DEBUG: Registered seat module xremote
[+0.00s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: _g_io_module_get_default: Found default implementation local (GLocalVfs) for ‘gio-vfs’
[+0.01s] DEBUG: Monitoring logind for seats
[+0.01s] DEBUG: New seat added from logind: seat0
[+0.01s] DEBUG: Seat seat0: Loading properties from config section Seat:*
[+0.01s] DEBUG: Seat seat0 has property CanMultiSession=no
[+0.01s] DEBUG: Seat seat0: Starting
[+0.01s] DEBUG: Seat seat0: Creating greeter session
[+0.01s] DEBUG: Seat seat0: Creating display server of type x
[+0.02s] DEBUG: Deactivating Plymouth
[+0.04s] DEBUG: Using VT 1
[+0.04s] DEBUG: Seat seat0: Starting local X display on VT 1
[+0.04s] DEBUG: XServer 0: Logging to /var/log/lightdm/x-0.log
[+0.05s] DEBUG: XServer 0: Writing X server authority to /run/lightdm/root/:0
[+0.05s] DEBUG: XServer 0: Launching X Server
[+0.05s] DEBUG: Launching process 1034: /usr/bin/X -core -noreset :0 -seat seat0 -auth /run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
[+0.05s] DEBUG: XServer 0: Waiting for ready signal from X server :0
[+0.05s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.05s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+0.05s] DEBUG: Loading users from org.freedesktop.Accounts
[+0.05s] DEBUG: User /org/freedesktop/Accounts/User1001 added
[+0.06s] DEBUG: User /org/freedesktop/Accounts/User1003 added
[+0.07s] DEBUG: User /org/freedesktop/Accounts/User1000 added
[+0.08s] DEBUG: User /org/freedesktop/Accounts/User1002 added
[+2.48s] DEBUG: Got signal 10 from process 1034
[+2.48s] DEBUG: XServer 0: Got signal from X server :0
[+2.48s] DEBUG: XServer 0: Connecting to XServer :0
[+2.53s] DEBUG: Quitting Plymouth; retaining splash
[+2.56s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+2.56s] DEBUG: Session pid=1334: Started with service 'lightdm-greeter', username 'lightdm'
[+2.62s] DEBUG: Session pid=1334: Authentication complete with return value 0: Success
[+2.62s] DEBUG: Seat seat0: Session authenticated, running command
[+2.62s] DEBUG: Session pid=1334: Running command /etc/lightdm/Xgreeter /usr/bin/lightdm-webkit2-greeter
[+2.62s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+2.62s] DEBUG: Session pid=1334: Logging to /var/log/lightdm/seat0-greeter.log
[+3.08s] DEBUG: Activating VT 1
[+3.08s] DEBUG: Activating login1 session c1
[+3.08s] DEBUG: Seat seat0 changes active session to c1
[+3.08s] DEBUG: Session c1 is already active
[+4.20s] DEBUG: Greeter connected version=1.30.0 api=1 resettable=false
[+34.88s] DEBUG: Seat seat0 changes active session to 
[+39.64s] DEBUG: Seat seat0 changes active session to 2
[+60.92s] DEBUG: Got signal 15 from process 1580
[+60.92s] DEBUG: Caught Terminated signal, shutting down
[+60.92s] DEBUG: Stopping display manager
[+60.92s] DEBUG: Seat seat0: Stopping
[+60.92s] DEBUG: Seat seat0: Stopping display server
[+60.92s] DEBUG: Sending signal 15 to process 1034
[+60.92s] DEBUG: Seat seat0: Stopping session
[+60.92s] DEBUG: Terminating login1 session c1
[+60.92s] DEBUG: Session pid=1334: Sending SIGTERM
[+60.94s] DEBUG: Greeter closed communication channel
[+60.94s] DEBUG: Session pid=1334: Exited with return value 1
[+60.94s] DEBUG: Seat seat0: Session stopped
[+60.95s] DEBUG: Process 1034 exited with return value 0
[+60.95s] DEBUG: XServer 0: X server stopped
[+60.95s] DEBUG: Releasing VT 1
[+60.95s] DEBUG: XServer 0: Removing X server authority /run/lightdm/root/:0
[+60.95s] DEBUG: Seat seat0: Display server stopped
[+60.95s] DEBUG: Seat seat0: Stopped
[+60.95s] DEBUG: Display manager stopped
[+60.95s] DEBUG: Stopping daemon
[+60.95s] DEBUG: Exiting with return value 0
::::::::::::::
seat0-greeter.log
::::::::::::::
/etc/lightdm/Xgreeter: line 5: xsetroot: command not found
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11925: CONSOLE LOG  --> LightDM provided data :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11972: CONSOLE LOG [object __LightDMGreeter]
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18741: CONSOLE LOG  --> Loaded settings :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18782: CONSOLE LOG [object Object]
CONSOLE OTHER WARN The resource file:///usr/share/lightdm-webkit/themes/litarvan/css/app.1c3c45b3.css was preloaded using link preload but not used within a few seconds from the window's load event. Please make sure it wasn't preloaded for nothing.
CONSOLE OTHER WARN The resource file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js was preloaded using link preload but not used within a few seconds from the window's load event. Please make sure it wasn't preloaded for nothing.
CONSOLE OTHER WARN The resource file:///usr/share/lightdm-webkit/themes/litarvan/js/chunk-vendors.cc4c1bca.js was preloaded using link preload but not used within a few seconds from the window's load event. Please make sure it wasn't preloaded for nothing.

(lightdm-webkit2-greeter:1600): Gtk-CRITICAL **: 10:27:01.096: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed
::::::::::::::
seat0-greeter.log.old
::::::::::::::
/etc/lightdm/Xgreeter: line 5: xsetroot: command not found
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11925: CONSOLE LOG  --> LightDM provided data :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11972: CONSOLE LOG [object __LightDMGreeter]
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18741: CONSOLE LOG  --> Loaded settings :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18782: CONSOLE LOG [object Object]

** (lightdm-webkit2-greeter:1348): WARNING **: 10:26:06.331: Error running javascript: 
::::::::::::::
x-0.log
::::::::::::::

X.Org X Server 1.20.14
X Protocol Version 11, Revision 0
Build Operating System:  5.15.6-200.fc35.x86_64 
Current Operating System: Linux fedy 5.16.7-200.fc35.x86_64 #1 SMP PREEMPT Sun Feb 6 19:53:54 UTC 2022 x86_64
Kernel command line: BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.16.7-200.fc35.x86_64 root=UUID=339f5cfa-2f21-41dc-9131-e6c52da2b760 ro rootflags=subvol=root rhgb quiet
Build Date: 25 January 2022  12:00:00AM
Build ID: xorg-x11-server 1.20.14-3.fc35 
Current version of pixman: 0.40.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Feb 12 10:26:53 2022
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
(EE) event4  - Logitech Wireless Keyboard PID:4023: client bug: event processing lagging behind by 16ms, your system is too slow
::::::::::::::
x-0.log.old
::::::::::::::

X.Org X Server 1.20.14
X Protocol Version 11, Revision 0
Build Operating System:  5.15.6-200.fc35.x86_64 
Current Operating System: Linux fedy 5.16.7-200.fc35.x86_64 #1 SMP PREEMPT Sun Feb 6 19:53:54 UTC 2022 x86_64
Kernel command line: BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.16.7-200.fc35.x86_64 root=UUID=339f5cfa-2f21-41dc-9131-e6c52da2b760 ro rootflags=subvol=root rhgb quiet
Build Date: 25 January 2022  12:00:00AM
Build ID: xorg-x11-server 1.20.14-3.fc35 
Current version of pixman: 0.40.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Feb 12 10:25:54 2022
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
(EE) event4  - Logitech Wireless Keyboard PID:4023: client bug: event processing lagging behind by 12ms, your system is too slow
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Server terminated successfully (0). Closing log file.
::::::::::::::
x-1.log
::::::::::::::

X.Org X Server 1.20.11
X Protocol Version 11, Revision 0
Build Operating System:  5.12.13-300.fc34.x86_64 
Current Operating System: Linux fedy 5.15.5-200.fc35.x86_64 #1 SMP Fri Nov 26 00:46:42 UTC 2021 x86_64
Kernel command line: BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.15.5-200.fc35.x86_64 root=UUID=339f5cfa-2f21-41dc-9131-e6c52da2b760 ro rootflags=subvol=root rhgb quiet
Build Date: 23 July 2021  12:00:00AM
Build ID: xorg-x11-server 1.20.11-2.fc35 
Current version of pixman: 0.40.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Wed Dec  1 16:54:08 2021
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Server terminated successfully (0). Closing log file.
::::::::::::::
x-1.log.old
::::::::::::::

X.Org X Server 1.20.11
X Protocol Version 11, Revision 0
Build Operating System:  5.12.13-300.fc34.x86_64 
Current Operating System: Linux fedy 5.14.18-300.fc35.x86_64 #1 SMP Fri Nov 12 16:43:17 UTC 2021 x86_64
Kernel command line: BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.14.18-300.fc35.x86_64 root=UUID=339f5cfa-2f21-41dc-9131-e6c52da2b760 ro rootflags=subvol=root rhgb quiet
Build Date: 23 July 2021  12:00:00AM
Build ID: xorg-x11-server 1.20.11-2.fc35 
Current version of pixman: 0.40.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Thu Nov 25 14:52:06 2021
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Server terminated successfully (0). Closing log file.
::::::::::::::
x-2.log
::::::::::::::
Unrecognized option: vt1
use: X [:<display>] [option]
-a #                   default pointer acceleration (factor)
-ac                    disable access control restrictions
-audit int             set audit trail level
-auth file             select authorization file
-br                    create root window with black background
+bs                    enable any backing store support
-bs                    disable any backing store support
-c                     turns off key-click
c #                    key-click volume (0-100)
-cc int                default color visual class
-nocursor              disable the cursor
-core                  generate core dump on fatal error
-displayfd fd          file descriptor to write display number to when ready to connect
-dpi int               screen resolution in dots per inch
-dpms                  disables VESA DPMS monitor control
-deferglyphs [none|all|16] defer loading of [no|all|16-bit] glyphs
-f #                   bell base (0-100)
-fc string             cursor font
-fn string             default font name
-fp string             default font path
-help                  prints message with these options
+iglx                  Allow creating indirect GLX contexts
-iglx                  Prohibit creating indirect GLX contexts (default)
-I                     ignore all remaining arguments
-ld int                limit data space to N Kb
-lf int                limit number of open files to N
-ls int                limit stack space to N Kb
-nolock                disable the locking mechanism
-maxclients n          set maximum number of clients (power of two)
-nolisten string       don't listen on protocol
-listen string         listen on protocol
-noreset               don't reset after last client exists
-background [none]     create root window with no background
-reset                 reset after last client exists
-p #                   screen-saver pattern duration (minutes)
-pn                    accept failure to listen on all ports
-nopn                  reject failure to listen on all ports
-r                     turns off auto-repeat
r                      turns on auto-repeat 
-render [default|mono|gray|color] set render color alloc policy
-retro                 start with classic stipple and cursor
-s #                   screen-saver timeout (minutes)
-seat string           seat to run on
-t #                   default pointer threshold (pixels/t)
-terminate             terminate at server reset
-to #                  connection time out
-tst                   disable testing extensions
ttyxx                  server started from init on /dev/ttyxx
v                      video blanking for screen-saver
-v                     screen-saver without video blanking
-wm                    WhenMapped default backing-store
-wr                    create root window with white background
-maxbigreqsize         set maximal bigrequest size 
+xinerama              Enable XINERAMA extension
-xinerama              Disable XINERAMA extension
-dumbSched             Disable smart scheduling and threaded input, enable old behavior
-schedInterval int     Set scheduler interval in msec
-sigstop               Enable SIGSTOP based startup
+extension name        Enable extension
-extension name        Disable extension
-query host-name       contact named host for XDMCP
-broadcast             broadcast for XDMCP
-multicast [addr [hops]] IPv6 multicast for XDMCP
-indirect host-name    contact named host for indirect XDMCP
-port port-num         UDP port number to send messages to
-from local-address    specify the local address to connect from
-once                  Terminate server after one session
-class display-class   specify display class to send in manage
-cookie xdm-auth-bits  specify the magic cookie for XDMCP
-displayID display-id  manufacturer display ID for request
[+-]accessx [ timeout [ timeout_mask [ feedback [ options_mask] ] ] ]
                       enable/disable accessx key sequences
-ardelay               set XKB autorepeat delay
-arinterval            set XKB autorepeat interval

TinyX Device Dependent Usage:
-screen WIDTH[/WIDTHMM]xHEIGHT[/HEIGHTMM][+[-]XOFFSET][+[-]YOFFSET][@ROTATION][X][Y][xDEPTH/BPP[xFREQ]]  Specify screen characteristics
-rgba rgb/bgr/vrgb/vbgr/none   Specify subpixel ordering for LCD panels
-mouse driver [,n,,options]    Specify the pointer driver and its options (n is the number of buttons)
-keybd driver [,,options]      Specify the keyboard driver and its options
-xkb-rules       Set default XkbRules value (can be overriden by -keybd options)
-xkb-model       Set default XkbModel value (can be overriden by -keybd options)
-xkb-layout      Set default XkbLayout value (can be overriden by -keybd options)
-xkb-variant     Set default XkbVariant value (can be overriden by -keybd options)
-xkb-options     Set default XkbOptions value (can be overriden by -keybd options)
-zaphod          Disable cursor screen switching
-2button         Emulate 3 button mouse
-3button         Disable 3 button mouse emulation
-rawcoord        Don't transform pointer coordinates on rotation
-dumb            Disable hardware acceleration
-softCursor      Force software cursor
-videoTest       Start the server, pause momentarily and exit
-origin X,Y      Locates the next screen in the the virtual screen (Xinerama)
-switchCmd       Command to execute on vt switch
vtxx             Use virtual terminal xx instead of the next available

Xephyr Option Usage:
-parent <XID>        Use existing window as Xephyr root win
-sw-cursor           Render cursors in software in Xephyr
-fullscreen          Attempt to run Xephyr fullscreen
-output <NAME>       Attempt to run Xephyr fullscreen (restricted to given output geometry)
-grayscale           Simulate 8bit grayscale
-resizeable          Make Xephyr windows resizeable
-glamor              Enable 2D acceleration using glamor
-glamor_gles2        Enable 2D acceleration using glamor (with GLES2 only)
-glamor-skip-present Skip presenting the output when using glamor (for internal testing optimization)
-fakexa              Simulate acceleration using software rendering
-verbosity <level>   Set log verbosity level
-noxv                do not use XV
-name [name]         define the name in the WM_CLASS property
-title [title]       set the window title in the WM_NAME property
-no-host-grab        Disable grabbing the keyboard and mouse.

(EE) 
Fatal server error:
(EE) Unrecognized option: vt1
(EE) 
::::::::::::::
ls -alt /var/log/lightdm
::::::::::::::
total 56
-rw-------. 1 root    root    1157 Feb 12 10:37 x-0.log
-rw-------. 1 root    root    5461 Feb 12 10:27 lightdm.log
-rw-------. 1 root    root    1388 Feb 12 10:27 seat0-greeter.log
drwxr-xr-x. 1 lightdm lightdm  214 Feb 12 10:26 .
drwxr-xr-x. 1 root    root    1922 Feb 12 10:26 ..
-rw-------. 1 root    root    5248 Feb 12 10:26 lightdm.log.old
-rw-------. 1 root    root    1267 Feb 12 10:26 x-0.log.old
-rw-------. 1 root    root     598 Feb 12 10:26 seat0-greeter.log.old
-rw-------. 1 root    root    1129 Dec  1 16:55 x-1.log
-rw-------. 1 root    root    1131 Nov 25 14:53 x-1.log.old
-rw-------. 1 root    root    6504 Oct 27 19:31 x-2.log

Comment 5 leigh scott 2022-02-12 17:30:58 UTC
Lightdm log looks fine, maybe try another greeter.


::::::::::::::
seat0-greeter.log.old
::::::::::::::
/etc/lightdm/Xgreeter: line 5: xsetroot: command not found
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11925: CONSOLE LOG  --> LightDM provided data :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:11972: CONSOLE LOG [object __LightDMGreeter]
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18741: CONSOLE LOG  --> Loaded settings :
file:///usr/share/lightdm-webkit/themes/litarvan/js/app.72fca2b3.js:1:18782: CONSOLE LOG [object Object]

** (lightdm-webkit2-greeter:1348): WARNING **: 10:26:06.331: Error running javascript: 
::::::::::::::

Comment 6 ilikelinux69 2022-02-14 15:29:21 UTC
I used the default greeter who comes with Fedora.

1) Unfortunately there was also a bug when I use 3 or more Logins.
I have to click fist on the second user and then on the bottom one that 
finally the login field gets active. The arrows keys not worked.

2) An other annoying thing is, that i not just can use the system-settings
to display the login in the center of the screen. When using a wrong
resolution on a big TV, the login disappears on the left side
No chance to login with the above mentioned Error.

So i changed to the one i use now.

Comment 7 ilikelinux69 2022-02-14 19:10:54 UTC
I'm up to date with my system and deleted the cache. For the moment everything works.


Note You need to log in before you can comment on or make changes to this bug.